void pwm2_mode(bool *centred, bool *PWMmode)
{
  //Configure PWM channels 0,1,2,3 (PWML0,PWMH0,PWML1,PWMH1,PWML2,PWMH2,PWML3,PWMH3), (port C.2,C.3,C.4,C.5,C.6,C.7,C.8,C.9), (pins P34,P35,P36,P37,P38,P39,P40,P41)
  REG_PWM_DIS =  0x0ff; //PWM disable channels 0..7
  if (*centred & *PWMmode){
    REG_PWM_CMR2 = PWM_CMR_CPRE_MCK_DIV_8 | PWM_CMR_CALG | PWM_CMR_DTE;
    REG_PWM_CMR3 = PWM_CMR_CPRE_MCK_DIV_8 | PWM_CMR_CALG | PWM_CMR_CPOL | PWM_CMR_DTE;
  } else if (*PWMmode){
    REG_PWM_CMR2 = PWM_CMR_CPRE_MCK_DIV_8 | PWM_CMR_DTE;
    REG_PWM_CMR3 = PWM_CMR_CPRE_MCK_DIV_8 | PWM_CMR_CPOL | PWM_CMR_DTE;
  } else if (*centred){
    REG_PWM_CMR2 = PWM_CMR_CPRE_MCK_DIV_8 | PWM_CMR_CALG | PWM_CMR_DTE;
    REG_PWM_CMR3 = PWM_CMR_CPRE_MCK_DIV_8 | PWM_CMR_CALG | PWM_CMR_DTE;
  } else {
    REG_PWM_CMR2 = PWM_CMR_CPRE_MCK_DIV_8 | PWM_CMR_DTE;
    REG_PWM_CMR3 = PWM_CMR_CPRE_MCK_DIV_8 | PWM_CMR_DTE;
  }

  REG_PWM_ENA =  PWM_ENA_CHID2 | PWM_ENA_CHID3; //PWM activate channel 2,3
}
