void pio2_setup()
{
  // Enable clocks in PMC
  pmc_set_writeprotect(0);
  pmc_enable_periph_clk(ID_PIOA);
  pmc_enable_periph_clk(ID_PIOC);

  // Block Ind, P42, PA19
  PIOA->PIO_OER |= PIO_PER_P19; // Enable PIO output
  PIOA->PIO_PER |= PIO_PER_P19;
  PIOA->PIO_IFDR|= PIO_PER_P19;
  PIOA->PIO_PUDR|= PIO_PER_P19;
  // Trig, P34, PC2
  PIOC->PIO_OER |= PIO_PER_P2; // Enable PIO output
  PIOC->PIO_PER |= PIO_PER_P2;
  PIOC->PIO_IFDR|= PIO_PER_P2;
  PIOC->PIO_PUDR|= PIO_PER_P2;
}

void pio_write(bool Trigg, bool Deblock_ind)
{
    if (Trigg){
      PIOC->PIO_SODR|= PIO_PER_P2;
    } else {
      PIOC->PIO_CODR|= PIO_PER_P2;
    }
    if (Deblock_ind){
      PIOA->PIO_SODR|= PIO_PER_P19;
    } else {
      PIOA->PIO_CODR|= PIO_PER_P19;
    }
}

